software-center crashed with OSError in makedirs(): [Errno 17] El fichero ya existe: '/home/ubuntu/.cache/software-center/rnrclient'

Bug #803280 reported by Ivan Camilo Quintero Santacruz on 2011-06-29
120
This bug affects 14 people
Affects Status Importance Assigned to Milestone
piston-mini-client (Ubuntu)
Medium
Michael Vogt
Precise
Medium
Michael Vogt

Bug Description

TEST CASE:
- testing for regression should be enough, the bug is a race condition that is difficult to trigger so no verification instructions

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: software-center 4.0
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
Date: Wed Jun 29 04:33:44 2011
ExecutablePath: /usr/share/software-center/software-center
InterpreterPath: /usr/bin/python2.7
LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center apt:adobe-flashplugin?channel=$distro-partner
ProcEnviron:
 LANGUAGE=es_ES:en
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center', 'apt:adobe-flashplugin?channel=$distro-partner']
SourcePackage: software-center
Title: software-center crashed with OSError in makedirs(): [Errno 17] El fichero ya existe: '/home/ubuntu/.cache/software-center/rnrclient'
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tags: removed: need-duplicate-check
Kamus (kamus) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please answer these questions:

1. Is this reproducible?
2. If so, what specific steps should we take to recreate this bug? Be as detailed as possible.

This will help us to find and resolve the problem.

Changed in software-center (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for software-center (Ubuntu) because there has been no activity for 60 days.]

Changed in software-center (Ubuntu):
status: Incomplete → Expired
Michael Vogt (mvo) wrote :

This is a race condition in httplib2, but we can probably fix it in piston-mini-client via a try/except os.makedirs() if the cachedir does not exists.

visibility: private → public
affects: software-center (Ubuntu) → piston-mini-client (Ubuntu)
Changed in piston-mini-client (Ubuntu):
status: Expired → Confirmed
importance: Undecided → Medium
milestone: none → precise-updates
tags: added: ca-escalated
Michael Vogt (mvo) on 2012-05-22
Changed in piston-mini-client (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Michael Vogt (mvo)
Changed in piston-mini-client (Ubuntu Precise):
assignee: nobody → Michael Vogt (mvo)
status: New → In Progress
importance: Undecided → Medium
description: updated

Thanks for uploading the fix for this bug report to -proposed. However, when reviewing the package in -proposed and the details of this bug report I noticed that this bug is not fixed in the development release of Ubuntu. Before we can accept the package in -proposed the bug related bug must be fixed in the development release. Thanks!

Michael Vogt (mvo) wrote :

Thanks Brian, this is in quantal now so the precise-proposed version can get unblocked.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package piston-mini-client - 0.7.2+bzr57-0ubuntu2

---------------
piston-mini-client (0.7.2+bzr57-0ubuntu2) quantal; urgency=low

  * initial upload to quantal

piston-mini-client (0.7.2+bzr57-0ubuntu1) precise-proposed; urgency=low

  * Fix race when multiple piston-mini-client helpers try to create
    a cache directory (LP: #803280)
 -- Michael Vogt <email address hidden> Mon, 04 Jun 2012 16:54:35 +0200

Changed in piston-mini-client (Ubuntu):
status: In Progress → Fix Released

Hello Ivan, or anyone else affected,

Accepted piston-mini-client into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in piston-mini-client (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
tags: removed: ca-escalated
Sebastien Bacher (seb128) wrote :

Michael, Gary, could one of you test that update?

Michael Vogt (mvo) wrote :

I'm running this version on my precise box since its available in proposed and couldn't see any regressions. Also not in the bugreports or errors.ubuntu.com. I mark it as done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package piston-mini-client - 0.7.2+bzr57-0ubuntu1

---------------
piston-mini-client (0.7.2+bzr57-0ubuntu1) precise-proposed; urgency=low

  * Fix race when multiple piston-mini-client helpers try to create
    a cache directory (LP: #803280)
 -- Michael Vogt <email address hidden> Tue, 22 May 2012 17:46:32 +0200

Changed in piston-mini-client (Ubuntu Precise):
status: Fix Committed → Fix Released
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu laptop testing tracker.

A list of all reports related to this bug can be found here:
http://laptop.qa.ubuntu.com/qatracker/reports/bugs/803280

tags: added: laptop-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers